--- chan_sip.c	2011-05-20 14:28:16.000000000 -0500
+++ chan_sip_patched.c	2011-06-12 16:05:52.000000000 -0500
@@ -11552,7 +11552,12 @@
 		dialog_unref(pvt, "create_addr failed in transmit_publish. Unref dialog");
 		return -1;
 	}
-	ast_sip_ouraddrfor(&pvt->sa, &pvt->ourip, pvt);
+	
+	/* Stop Asterisk from sending invites to non-valid addresses. (ASTERISK-17716) */
+	if(ast_sip_ouraddrfor(&pvt->sa, &pvt->ourip, pvt) < 0){
+		return -1;
+	}
+	
 	ast_set_flag(&pvt->flags[0], SIP_OUTGOING);
 	expires = (publish_type == SIP_PUBLISH_REMOVE) ? 0 : DEFAULT_PUBLISH_EXPIRES;
 	pvt->expiry = expires;
